Skip to main content
POST
/
v1
/
sso-authentication
Initiate SSO authentication
curl --request POST \
  --url https://{sql-node}/v1/sso-authentication \
  --header 'Content-Type: application/json' \
  --data '
{
  "database": "retail_analytics",
  "sso_callback_path": "/auth/callback",
  "do_redirect": true
}
'
{
  "redirect_url": "<string>",
  "status": {
    "reason": "<string>",
    "sql_state": "<string>",
    "vendor_code": 123
  }
}

Body

application/json
database
string

Target database name. Defaults to 'system' if not specified.

sso_callback_path
string

Local path for redirection after successful authentication

do_redirect
boolean
default:true

If true, the API responds with a 302 redirect to the OpenID provider. If false, the API returns the URL in the response body.

Response

SSO authentication initiated (when do_redirect is false)

redirect_url
string<uri>

URL to redirect to for authentication (when do_redirect is false)

status
object

Status information for API responses